const { spawn } = require('child_process');
const fs = require('fs');
const path = require('path');
const cfg = require('./config');
const argv = process.argv;

const [, , env, pkg] = argv;

const pkgList = fs.readdirSync(cfg.docsPath);

if (pkgList.indexOf(pkg) !== -1) {
  const ls = spawn('vuepress', [env, path.join(cfg.docsPath, pkg)]);
  ls.stdout.on('data', data => {
    console.log(data.toString());
  });

  ls.stderr.on('data', data => {
    console.error(data.toString());
  });

  ls.on('close', code => {
    console.log(`子进程退出，退出码 ${code}`);
  });
}
