# Icon组件

提供了基于iconfont的图标

## 使用说明

可用组件和class模式来设置图标，图标大小基于font-size，默认继承父级font-size和color

## 示例

::: demo
```html
<template>
  <div class="demo">
    <s-icon icon="arrow-down" :size="16" @click="clickHandle"/>
    <s-icon icon="help" :size="32" @click="clickHandle"/>
    <span class="s-icon icon-remind" @click="clickHandle"></span>
  </div>
</template>
<script>
  export default {
    methods: {
      clickHandle () {
        alert('你点击了按钮')
      }
    }
  }
</script>
```
:::

## API
|  参数   | 说明  |  类型  | 默认值 | 可选值 |
|  ----  | ----  | ----  | ----  | ----  |
| size | 图标的font-size，单位为px | number | - | - |
| icon | 设置图形，基于iconfont的classname(省略了默认的icon-，参考示例) | string | - | 参考icon组件 |
| spin | 旋转 | boolean | false | true/false |
| @click | 绑定click事件 | event | - | - |


