# layout模块

## 组成结构说明
 - 主页面（main.vue）：layout的框架页面，分为菜单区域和路由页面区域，路由区域显示对应当前路由的页面
 - 菜单（menu.vue menu-item.vue）：分为一级菜单和二级菜单，二级菜单依赖一级菜单显示
 - 导航（nav.vue）：导航页面，外挂在layout外面

## 逻辑整理

### 导航逻辑
1. 点击logo回到主页
2. 当有多站点情况时且在主站点时，可点击切换站点按钮切换当前站点
3. 有新消息时会有红点，点击消息弹出消息框

### 菜单逻辑
1. 目前菜单数据根据`is_menu`，`is_show`来控制显示。`is_menu`表示是否菜单选项，`is_show`表示是否显示，目前会把`is_menu`为`false`的过滤掉
2. `is_show`为`false`的菜单选项，在一级菜单上不会显示，但在对应的二级页面路由下，需要显示二级菜单的列表
3. 另外菜单数据中有`original_index_key`，里面有二级菜单的子路由的数据，需要做好子路由配置，通过配置，才能确定页面归属
4. 一种特殊的情况，是通过页面来通知菜单，传递二级菜单数据，来显示二级菜单
5. 菜单数据会做缓存，会优先取缓存数据，提前渲染，同时会请求菜单结构，等成功返回后，再替换菜单数据
6. 菜单可切换显示状态，分为固定和浮动。固定时，需点击一级菜单才能切换二级菜单；浮动时，鼠标指向对应一级菜单即可切换二级菜单。切换时会向`root`发出通知事件
7. 二级菜单选项可以分组管理，配置分组规则（详见main.vue menuGroup变量）来分组二级菜单选项，分组的二级菜单选项可以，收起和展开。
8. 二级菜单选项可以配置is_group_end来标示分割线，分割线会在当前二级菜单选项上显示分割线

