import Vue from 'vue';
import VueRouter from 'vue-router';
import demo from '../views/demo.vue';

Vue.use(VueRouter);

const routes = [
  {
    path: '/',
    name: 'demo',
    component: demo,
  },
  {
    path: '/ui',
    name: 'ui',
    // route level code-splitting
    // this generates a separate chunk (about.[hash].js) for this route
    // which is lazy-loaded when the route is visited.
    component: () => import(/* webpackChunkName: "about" */ '../views/ui'),
  },
];

const router = new VueRouter({
  mode: 'history',
  base: process.env.BASE_URL,
  routes,
});

export default router;
