import Vue from 'vue';
import Vuex from 'vuex';

Vue.use(Vuex);

export default new Vuex.Store({
  state: {
    menuData: [
      {
        code: 'A000',
        name: '首页',
        icon: 'sicon-home',
        is_show: 1,
        is_group_end: '0',
        path: '/index',
        path_list: [
          '/index',
          '/superAdmin/dataScreen/title',
          '/superAdmin/adminSuper/modifyUserPass',
          'superAdmin/userApi/accountRemind',
          '/superAdmin/commodityTrace/getTraceTrend',
          '/superAdmin/commodityTrace/getTodayTrace',
          '/superAdmin/commodityTrace/getScreenTraceCommodityInfo',
        ],
        children: [],
      },
      {
        code: 'M001',
        name: '商品',
        icon: 'sicon-shop',
        is_show: 1,
        is_group_end: '0',
        path: '/goods/list',
        path_list: [
          '/goods/list',
          '/superAdmin/offline/clearList',
          '/superAdmin/general/upload',
        ],
        children: [
          {
            code: 'M001001',
            name: '商品档案',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/goods/list',
            path_list: [
              '/goods/list',
              '/commodityList/newCommodity',
              '/commodityList/commodityDetail',
              '/superAdmin/productLine/getProductList',
              '/superAdmin/WorkingProcedure/all',
              '/commodityList/processCommodity',
              '/superAdmin/commoditySuper/getSiteCommodity',
              '/siteAdmin/category/tree',
              '/superAdmin/commoditySuper/syncSitesCommodity',
              '/superAdmin/general/upload',
            ],
          },
          {
            code: 'M001002',
            name: '商品分类',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/category',
            path_list: ['/category'],
          },
          {
            code: 'M001004',
            name: '辅助资料',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/profile',
            path_list: [
              '/profile',
              'superAdmin/commoditySuper/delTag',
              'superAdmin/commoditySuper/saveUnit',
              'superAdmin/commoditySuper/getTag',
              'superAdmin/commoditySuper/getUnit',
              'superAdmin/commoditySuper/saveTag',
              'superAdmin/commoditySuper/delUnit',
            ],
          },
          {
            code: 'M001005',
            name: '商品图片',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/goodsImg',
            path_list: [
              '/goodsImg',
              '/superAdmin/orderSuper/orderPoolSearchConfig',
              'superAdmin/commoditySuper/getCommodityImg',
              '/superAdmin/commoditySuper/commodityImgUpload',
            ],
          },
          {
            code: 'M001006',
            name: '溯源检测',
            icon: '',
            is_show: 1,
            is_group_end: '1',
            path: '/commoditySource/list',
            path_list: [
              '/commoditySource/list',
              '/commoditySource/search',
              '/commoditySource/InspectionRecords',
              '/commoditySource/AccountSetting',
              'superAdmin/commodityTrace/getTraceCommodityList',
              'superAdmin/commodityTrace/ajaxList',
              'superAdmin/commodityTrace/addTraceSource',
              'superAdmin/commodityTrace/getTraceInfo',
              '/superAdmin/commodityTrace/template',
              '/superAdmin/commodityTrace/import',
              'superAdmin/commodityTrace/updateTraceSourceStatus',
              'superAdmin/commodityTrace/deleteTraceSource',
              'superAdmin/commodityTrace/saveTraceSource',
              'superAdmin/commodityTrace/getCommodityTrace',
              '/superAdmin/commodityTrace/getLastSourceInfo',
              'superAdmin/commodityTrace/machineList',
              '/superAdmin/commodityTrace/getDevice',
              '/superAdmin/commodityTrace/saveDevice',
            ],
          },
        ],
      },
      {
        code: 'A013',
        name: '套餐',
        icon: 'sicon-order',
        is_show: 1,
        is_group_end: '0',
        path: '/goods-package/list',
        path_list: ['/goods-package/list'],
        children: [
          {
            code: 'A013001',
            name: '套餐档案',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/goods-package/list',
            path_list: [
              '/goods-package/list',
              '/superAdmin/commodityPackage/list',
              '/superAdmin/commodityPackage/detail',
              '/superAdmin/commoditySuper/getTag',
              '/superAdmin/commodityPackage/editSysConfig',
              '/superAdmin/commodityPackage/add',
              '/superAdmin/commodityPackage/edit',
              '/superAdmin/commodityPackage/delete',
              '/goods-package/form',
              '/goods-package/detail',
            ],
          },
          {
            code: 'A013002',
            name: '套餐订单',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/goods-package-order/list',
            path_list: [
              '/goods-package-order/list',
              '/superAdmin/packageOrder/list',
              '/superAdmin/packageOrder/SearchConfig',
              '/superAdmin/packageOrder/exportList',
              '/superAdmin/packageOrder/exportDetail',
              '/superAdmin/packageOrder/add',
              '/superAdmin/packageOrder/edit',
              '/superAdmin/packageOrder/close',
              '/superAdmin/orderSuper/AjaxDetail',
              '/superAdmin/general/customExportColumn',
              '/goods-package-order/add',
              '/goods-package-order/edit',
            ],
          },
          {
            code: 'A013003',
            name: '套餐报表',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/goods-package-reports',
            path_list: [
              '/goods-package-reports',
              '/superAdmin/packageOrder/reportList',
              '/superAdmin/packageOrder/exportReportList',
              '/superAdmin/packageOrder/exportReportDetail',
              '/superAdmin/packageOrder/exportReportDetail',
              '/superAdmin/packageOrder/reportDetail',
            ],
          },
        ],
      },
      {
        code: 'M002',
        name: '订单',
        icon: 'sicon-order',
        is_show: 1,
        is_group_end: '0',
        path: '/order/list',
        path_list: ['/order/list'],
        children: [
          {
            code: 'M002001',
            name: '订单列表',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/order/list',
            path_list: [
              '/order/list',
              '/orderDetail',
              '/newOrder',
              '/orderApproval',
              '/orderEdit',
              '/superAdmin/orderSuper/aiSearch',
              '/superAdmin/orderSuper/tagging',
              '/newOrder',
              'superAdmin/orderSuper/ocrRecognise',
              '/superAdmin/commoditySuper/GetAllCommodity',
              'superAdmin/log/getList',
              '/superAdmin/orderSuper/checkBatchImport',
              '/superAdmin/NewBehalfSuper/AjaxDetail',
              'superAdmin/protocolPrice/userValidOrder',
              '/superAdmin/orderTag/getList',
              '/superAdmin/orderTag/getOrderTag',
              'superAdmin/providerHistory/getProviders',
            ],
          },
          {
            code: 'M002003',
            name: '订单汇总',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/batchSummary',
            path_list: [
              '/batchSummary',
              'superAdmin/orderSuper/CheckDeliveryUser',
              '/superAdmin/orderSuper/orderPoolSearchConfig',
            ],
          },
          {
            code: 'M002002',
            name: '批量核价',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/orderChangePrice/new',
            path_list: ['/orderChangePrice/new', '/orderChangePrice/record'],
          },
          {
            code: 'M002004',
            name: '退货退款',
            icon: '',
            is_show: 1,
            is_group_end: '1',
            path: '/returnOrder',
            path_list: ['/returnOrder', '/returnDetail', '/newReturnOrder'],
          },
          {
            code: 'M002008',
            name: '实收变更',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/order-modify/list',
            path_list: [
              '/order-modify/list',
              '/superAdmin/orderModify/close',
              '/superAdmin/orderModify/list',
              '/superAdmin/orderModify/audit',
              '/superAdmin/orderModify/searchConfig',
              '/superAdmin/orderModify/add',
              '/superAdmin/orderModify/edit',
              '/superAdmin/orderModify/detail',
            ],
          },
          {
            code: 'M002005',
            name: '异常订单',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/abnormalOrdersList',
            path_list: [
              '/abnormalOrdersList',
              'superAdmin/orderSuper/abnormalList',
              'superAdmin/orderSuper/batchAbnormal',
            ],
          },
          {
            code: 'M002007',
            name: '订单标签',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/orderTag',
            path_list: [
              '/orderTag',
              '/superAdmin/orderTag/add',
              '/superAdmin/orderTag/del',
              '/superAdmin/orderTag/edit',
            ],
          },
          {
            code: 'M002006',
            name: '智能定价',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/smartPricing',
            path_list: [
              '/smartPricing',
              'superAdmin/general/editSysConfig',
              'superAdmin/commodityIntelligentPrice/CommodityCategory',
              'superAdmin/commodityIntelligentPrice/priceHistory',
              'superAdmin/commodityIntelligentPrice/FormulaDetail',
              'superAdmin/commodityIntelligentPrice/batchSetFormula',
              'superAdmin/commodityIntelligentPrice/priceHistoryDetail',
            ],
          },
        ],
      },
      {
        code: 'M003',
        name: '采购',
        icon: 'sicon-cart',
        is_show: 1,
        is_group_end: '0',
        path: '/purchase/order-list',
        path_list: [
          '/purchase/order-list',
          '/purchase/addPurchaseOrder',
          '/purchase/purchaseHistory/buyerGetter',
          '/purchase/purchaseHistory/providerSend',
          'superAdmin/purchaseStatistics/getDataByCommodity',
        ],
        children: [
          {
            code: 'M003002',
            name: '采购单',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/purchase/order-list',
            path_list: [
              '/purchase/order-list',
              'superAdmin/purPlan/index',
              '/purchase/addPurchaseOrder',
              '/superAdmin/purchaseOrder/getMergeOrderList',
              '/superAdmin/purchaseOrder/mergeOrder',
              '/purchase/addPurchaseOrder',
              '/purchase/purchaseReceipt',
              '/purchase/purchaseOrderDetail',
              '/superAdmin/purchaseOrder/saveStageData',
              '/superAdmin/commoditySuper/ajaxGetCommodity',
              '/superAdmin/purchaseAgreementPrice/importTemplate',
            ],
          },
          {
            code: 'M003011',
            name: '智能预采购',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/purchase/advancePurchase',
            path_list: ['/purchase/advancePurchase'],
          },
          {
            code: 'M003003',
            name: '采购退回',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/purchase/purchaseReturnList',
            path_list: ['/purchase/purchaseReturnList'],
          },
          {
            code: 'M003004',
            name: '采购历史',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/purchase/purchaseHistory',
            path_list: [
              '/purchase/purchaseHistory',
              '/purchase/purchaseHistory/providerSend',
              '/purchase/purchaseHistory/buyerGetter',
            ],
          },
          {
            id: 'M003-2',
            name: '基础资料',
            sub: ['M003005', 'M003006'],
            children: [
              {
                code: 'M003005',
                name: '供应商',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/purchase/provider',
                path_list: [
                  '/purchase/provider',
                  '/superAdmin/purchaseAgreementPrice/close',
                  '/superAdmin/purchaseAgreementPrice/list',
                  '/superAdmin/PurchaseAgreementPrice/searchConfig',
                  '/superAdmin/purchaseAgreementPrice/add',
                  '/superAdmin/purchaseAgreementPrice/edit',
                  '/superAdmin/purchaseAgreementPrice/expire',
                  '/superAdmin/purchaseAgreementPrice/detail',
                  '/superAdmin/purchaseAgreementPrice/exportTemplate',
                  '/superAdmin/purchaseAgreementPrice/importTemplate',
                  '/superAdmin/purchaseAgreementPrice/exportInfo',
                ],
              },
              {
                code: 'M003006',
                name: '采购员',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/purchase/buyer',
                path_list: ['/purchase/buyer'],
              },
            ],
          },
          {
            id: 'M003-1',
            name: '询价',
            sub: ['M003007', 'M003008', 'M003010'],
            children: [
              {
                code: 'M003010',
                name: '询价记录',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/purchase/offerList',
                path_list: [
                  '/purchase/offerList',
                  '/superAdmin/inquiry/recordPage',
                ],
              },
            ],
          },
        ],
      },
      {
        code: 'M015',
        name: '加工',
        icon: 'sicon-process',
        is_show: 1,
        is_group_end: '0',
        path: '/process/processImg',
        path_list: [
          '/process/processImg',
          '/superAdmin/process/orderWarn',
          '/superAdmin/WorkingProcedure/all',
        ],
        children: [
          {
            code: 'M015001',
            name: '销售汇总',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/process/orderSummary',
            path_list: [
              '/process/orderSummary',
              '/superAdmin/line/list',
              '/superAdmin/process/conditionExport',
              '/superAdmin/process/syncCommodity',
              '/superAdmin/process/statRaw',
            ],
          },
          {
            code: 'M015002',
            name: '生产加工',
            icon: '',
            is_show: 1,
            is_group_end: '1',
            path: '/process/processOrder/list',
            path_list: [
              '/process/processOrder/list',
              '/process/processOrder/edit',
              '/superAdmin/process/searchConfig',
              '/superAdmin/process/export',
              '/superAdmin/process/checkFlagCompletion',
              '/superAdmin/process/orderWarn',
              '/superAdmin/returnPicking/export',
              '/superAdmin/process/commodityList',
              '/superAdmin/process/checkDetail',
              '/superAdmin/process/confirmCheck',
              '/superAdmin/process/ConfirmCheckFinish',
            ],
          },
          {
            code: 'M015003',
            name: '领料单',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/process/picking/list',
            path_list: [
              '/process/picking/list',
              '/process/picking/edit',
              '/superAdmin/picking/export',
            ],
          },
          {
            code: 'M015009',
            name: '工序验收',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/process/processManagement/list',
            path_list: [
              '/process/processManagement/list',
              '/superAdmin/process/procedureDetail',
              '/superAdmin/process/procedureList',
              '/superAdmin/process/procedureStatistics',
              '/superAdmin/process/procedureStatisticsDetail',
            ],
          },
          {
            code: 'M015004',
            name: '完工入库',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/process/completion/list',
            path_list: [
              '/process/completion/list',
              '/process/completion/edit',
              '/superAdmin/completion/export',
            ],
          },
          {
            code: 'M015005',
            name: '退料单',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/process/pickingReturn/list',
            path_list: [
              '/process/pickingReturn/list',
              '/process/pickingReturn/edit',
            ],
          },
          {
            id: 'M015-1',
            name: '数据报表',
            sub: ['M015006', 'M015010'],
            children: [
              {
                code: 'M015006',
                name: '产出比率',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/process/reports/yield',
                path_list: [
                  '/process/reports/yield',
                  '/process/reports/yieldDetail',
                ],
              },
              {
                code: 'M015010',
                name: '工人绩效',
                icon: '',
                is_show: 1,
                is_group_end: '1',
                path: '/process/workersPerformance/list',
                path_list: [
                  '/process/workersPerformance/list',
                  '/superAdmin/process/workerStatistics',
                  '/superAdmin/process/workerStatisticsDetail',
                ],
              },
            ],
          },
          {
            id: 'M015-2',
            name: '基础资料',
            sub: ['M01507', 'M01508', 'M01509', 'M01512'],
            children: [
              {
                code: 'M01507',
                name: 'BOM表',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/process/goodsBom/list',
                path_list: [
                  '/process/goodsBom/list',
                  '/process/goodsBom/edit',
                  '/superAdmin/bom/rawCommodityList',
                  '/superAdmin/bom/page',
                  '/superAdmin/bom/detail',
                  '/superAdmin/bom/searchProcessedCommodity',
                  '/superAdmin/process/commodityList',
                  '',
                ],
              },
              {
                code: 'M01508',
                name: '生产线',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/process/productLine/list',
                path_list: ['/process/productLine/list', '', ''],
              },
              {
                code: 'M01509',
                name: '工人管理',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/process/worker/list',
                path_list: ['/process/worker/list'],
              },
              {
                code: 'M01512',
                name: '工序设置',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/process/workersManagement/list',
                path_list: [
                  '/process/workersManagement/list',
                  '/superAdmin/WorkingProcedure/list',
                  '/superAdmin/WorkingProcedure/edit',
                  '/superAdmin/WorkingProcedure/delete',
                  '/superAdmin/WorkingProcedure/add',
                ],
              },
            ],
          },
        ],
      },
      {
        code: 'M004',
        name: '库房',
        icon: 'sicon-pc',
        is_show: 1,
        is_group_end: '0',
        path: '/sort/commodity',
        path_list: [
          '/sort/commodity',
          '/superAdmin/sortSuper/saveLabelPrint',
          'superAdmin/sortSuper/ManyPrintData',
        ],
        children: [
          {
            code: 'M004001',
            name: '商品分拣',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/sort/commodity',
            path_list: [
              '/sort/commodity',
              '/sort/statByCommodity',
              '/sort/statByShop',
              '/sort/diff-sort',
              '/superAdmin/sortSuper/saveLabelPrint',
              '/superAdmin/line/list',
              '/superAdmin/general/listCount',
              '/superAdmin/sortSuper/genSortCount',
              '/superAdmin/sortSuper/getLabelPrint',
              '/superAdmin/sortSuper/remarkStockout',
              '/superAdmin/sortSuper/remarkStockout',
              '/siteAdmin/site/list',
              'superAdmin/sortSuper/getOneTouchSortRecordList',
              '/superAdmin/sortSuper/resetOneTouchSort',
              '/superAdmin/sortSuper/SubmitMany',
              '/superAdmin/commoditySuper/ajaxGetCommodity',
              'superAdmin/sortSuper/UserCommodityDetail',
            ],
          },
          {
            code: 'M004002',
            name: '客户分拣',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/sortByShop',
            path_list: [
              '/sortByShop',
              'superAdmin/orderSuper/getPrintData',
              'superAdmin/sortSuper/SingleCommodityDetail',
              'superAdmin/sortSuper/UserCommodityDetail/superAdmin/sortSuper/getLabelPrint',
              '/superAdmin/line/list',
              '/superAdmin/sortSuper/saveLabelPrint',
              '/superAdmin/sortSuper/remarkStockout',
              '/superAdmin/sortSuper/summaryUserPickPrintData',
              '/superAdmin/sortSuper/remarkStockout',
              '/superAdmin/TransferOrder/getUserWarehouse',
              '/siteAdmin/site/list',
              'superAdmin/sortSuper/SubmitMany',
            ],
          },
          {
            code: 'M004017',
            name: '预分拣',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/prePack',
            path_list: ['/prePack', '/superAdmin/prePackage/getPrintData'],
          },
          {
            code: 'M004009',
            name: '发货出库',
            icon: '',
            is_show: 1,
            is_group_end: '1',
            path: '/storeRoom/outOfStock',
            path_list: [
              '/storeRoom/outOfStock',
              '/superAdmin/orderDelivery/getCommodityBatch',
              '/superAdmin/orderDelivery/setDeliveryBatch',
              '/superAdmin/orderDelivery/setBindProviderBatch',
              '/superAdmin/orderDelivery/searchConfig',
            ],
          },
          {
            code: 'M004006',
            name: '入库管理',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/storeRoom/storageMGTList',
            path_list: ['/storeRoom/storageMGTList', '/storeRoom/storeDetail'],
          },
          {
            code: 'M004008',
            name: '出库管理',
            icon: '',
            is_show: 1,
            is_group_end: '1',
            path: '/storeRoom/deliveryMGTList',
            path_list: ['/storeRoom/deliveryMGTList'],
          },
          {
            code: 'M004010',
            name: '库存盘点',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/storeRoom/inventoryCheckList',
            path_list: ['/storeRoom/inventoryCheckList'],
          },
          {
            code: 'M004012',
            name: ' 报损报溢',
            icon: '',
            is_show: 1,
            is_group_end: '1',
            path: '/storeRoom/reportLPList',
            path_list: [
              '/storeRoom/reportLPList',
              'superAdmin/lossOver/createOrder',
            ],
          },
          {
            id: 'M004-1',
            name: '分割',
            sub: ['M004020', 'M004021'],
            children: [
              {
                code: 'M004020',
                name: '原料分割',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/storeRoom/partition/list',
                path_list: [
                  '/storeRoom/partition/list',
                  '/superAdmin/commodityParting/edit',
                  '/superAdmin/commodityParting/list',
                  '/superAdmin/commodityParting/recordList',
                  '/superAdmin/commodityParting/delete',
                  '/superAdmin/commodityParting/recordCancel',
                  '/superAdmin/commodityParting/recordAudit',
                  '/superAdmin/commodityParting/recordExport',
                  '/superAdmin/commodityParting/recordPrintData',
                  '/superAdmin/commodityParting/SearchConfig',
                  '/superAdmin/commodityParting/add',
                  '/superAdmin/commodityParting/ConfirmParting',
                  '/superAdmin/commodityParting/detail',
                  '/superAdmin/commodityParting/recordDetail',
                  '',
                ],
              },
              {
                code: 'M004021',
                name: '分割记录',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/storeRoom/partition-record/list',
                path_list: [
                  '/storeRoom/partition-record/list',
                  '/superAdmin/commodityParting/edit',
                  '/superAdmin/commodityParting/list',
                  '/superAdmin/commodityParting/recordList',
                  '/superAdmin/commodityParting/delete',
                  '/superAdmin/commodityParting/recordCancel',
                  '/superAdmin/commodityParting/recordAudit',
                  '/superAdmin/commodityParting/recordExport',
                  '/superAdmin/commodityParting/recordPrintData',
                  '/superAdmin/commodityParting/SearchConfig',
                  '/superAdmin/commodityParting/add',
                  '/superAdmin/commodityParting/ConfirmParting',
                  '/superAdmin/commodityParting/detail',
                  '/superAdmin/commodityParting/recordDetail',
                  '',
                ],
              },
            ],
          },
          {
            id: 'M004-2',
            name: '库房数据',
            sub: ['M004011', 'M004015', 'M004005'],
            children: [
              {
                code: 'M004011',
                name: '现有库存',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/storeRoom/existingStockList',
                path_list: [
                  '/storeRoom/existingStockList',
                  'superAdmin/inventory/addOpeningStock',
                  'superAdmin/inventory/openingStockPage',
                  'superAdmin/inventory/stockPage',
                  'superAdmin/inventory/uploadOpeningStock',
                  '/superAdmin/inventory/exportBatchStock',
                  '/superAdmin/inventory/batchStockPage',
                ],
              },
              {
                code: 'M004015',
                name: '出入库',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/storeRoom/inRoomQuery',
                path_list: [
                  '/storeRoom/inRoomQuery',
                  'superAdmin/InOutHistory/InOutHistoryDetailList',
                  'superAdmin/InOutHistory/InOutHistoryDetailListExcel',
                  'superAdmin/InOutHistory/InOutHistoryList',
                  'superAdmin/InOutHistory/inOutHistoryListExcel',
                ],
              },
              {
                code: 'M004005',
                name: '分拣绩效',
                icon: '',
                is_show: 1,
                is_group_end: '1',
                path: '/sorter-performance/stat-by-sorter',
                path_list: [
                  '/sorter-performance/stat-by-sorter',
                  '/sorter-performance/stat-by-commodity',
                  '/sorter-performance/sort-history',
                  '/superAdmin/sorterHistory/accordingCommodityDetail',
                  '/superAdmin/sorterHistory/exportAccordingCommodityDetail',
                  '/superAdmin/sorterHistory/accordingSorter',
                  '/superAdmin/sorterHistory/exportAccordingSorter',
                  '/superAdmin/sorterHistory/accordingCommodity',
                  '/superAdmin/sorterHistory/exportAccordingCommodity',
                  '/superAdmin/sorterHistory/getPeriodDetailData',
                ],
              },
            ],
          },
          {
            id: 'M004-3',
            name: '基础资料',
            sub: ['M004004', 'M004016', 'M004014'],
            children: [
              {
                code: 'M004004',
                name: '分拣员',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/sorter/list',
                path_list: [
                  '/sorter/list',
                  '/superAdmin/sorterSuper/selectedUser',
                  '/superAdmin/receStyle/list',
                ],
              },
              {
                code: 'M004016',
                name: '仓库档案',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/storeRoom/storeSetting',
                path_list: [
                  '/storeRoom/storeSetting',
                  '/superAdmin/StorageLocation/getLocation',
                  '/superAdmin/Warehouse/getWarehouseDetail',
                  '/superAdmin/Warehouse/lockWarehouse',
                  '/superAdmin/StorageAddress/getStorageMap',
                  '/superAdmin/offline/download',
                ],
              },
              {
                code: 'M004014',
                name: ' 期初库存',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/storeRoom/earlyRepertory',
                path_list: ['/storeRoom/earlyRepertory'],
              },
            ],
          },
        ],
      },
      {
        code: 'M005',
        name: '配送',
        icon: 'sicon-delivery',
        is_show: 1,
        is_group_end: '0',
        path: '/delivery/line/list',
        path_list: ['/delivery/line/list'],
        children: [
          {
            code: 'M005001',
            name: '线路',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/delivery/line/list',
            path_list: [
              '/delivery/line/list',
              '/delivery/line/order',
              '/delivery/line/user',
              'superAdmin/line/orderCommodityDetailList',
              '/superAdmin/line/searchConfig',
              '/superAdmin/line/add',
              '/superAdmin/line/genSortCode',
              '/superAdmin/line/searchLineUser',
              '/superAdmin/line/searchBeAllotUser',
              '/superAdmin/line/orderList',
              '/superAdmin/line/OrderListDetail',
              '/superAdmin/line/bindUser',
              '/superAdmin/line/edit',
              '/superAdmin/line/preUserPrint',
              '/superAdmin/line/preEdit',
              '/superAdmin/area/preEdit',
              '/superAdmin/driver/preEdit',
              '/superAdmin/line/preOrderPrint',
              '/superAdmin/line/checkDriverBindingLine',
              '/superAdmin/line/getLineAddr',
              '/superAdmin/line/traceCommodityPrintData',
              '/superAdmin/orderSuper/getPrintData',
            ],
          },
          {
            code: 'M005004',
            name: '物流排线',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/delivery/setLine/list',
            path_list: [
              '/delivery/setLine/list',
              'superAdmin/line/allotUserConfig',
              '/delivery/setLine/map',
            ],
          },
          {
            code: 'M005002',
            name: '区域',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/delivery/area/list',
            path_list: [
              '/delivery/area/list',
              '/superAdmin/area/list',
              '/superAdmin/area/add',
              '/superAdmin/adminSuper/modifyUserPass',
            ],
          },
          {
            code: 'M005005',
            name: '司机',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/delivery/driver/list',
            path_list: [
              '/delivery/driver/list',
              '/superAdmin/driver/list',
              '/superAdmin/driver/delete',
              '/superAdmin/driver/add',
              '/superAdmin/driver/edit',
              '/superAdmin/driver/Disable',
            ],
          },
          {
            code: 'M005003',
            name: '配送地图',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/deliveryMap',
            path_list: ['/deliveryMap'],
          },
        ],
      },
      {
        code: 'M006',
        name: '客户',
        icon: 'sicon-user',
        is_show: 1,
        is_group_end: '0',
        path: '/user/list',
        path_list: ['/user/list'],
        children: [
          {
            code: 'M006002',
            name: '客户档案',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/user/list',
            path_list: [
              '/user/list',
              '/newUser',
              '/user/userGoodsProvider',
              '/user/usualGoods',
              '/user/unavailableGoods',
              '/user/specialPrice',
              '/user/payment',
              '/user/subaccountManagement',
              '/user/informationOfMakeOutAnInvoice',
              'user/userGoodsProvider',
              '/user/baseInfo',
              '/user/baseInfoView',
              'superAdmin/driver/list',
              '/superAdmin/userSuper/SyncUserCenterInit',
              '/superAdmin/userSuper/DelUserCenter',
              '/superAdmin/customProvider/searchCommodity',
            ],
          },
          {
            code: 'M006004',
            name: '客户类型',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/userType',
            path_list: [
              '/userType',
              'superAdmin/OperatingTime/getOperatingTimeList',
              'superAdmin/receStyle/lis',
            ],
          },
          {
            code: 'M006003',
            name: '集团管理',
            icon: '',
            is_show: 1,
            is_group_end: '1',
            path: '/groupManage',
            path_list: [
              '/groupManage',
              'superAdmin/userGroup/data',
              '/qyweixinApi/Qwadmin/boundUser',
              '/qyweixinApi/Qwadmin/unbundUser',
            ],
          },
          {
            id: 'M006-1',
            name: '客户数据',
            sub: ['M006001', 'M006008', 'M006005', 'M006006'],
            children: [
              {
                code: 'M006001',
                name: '客户看板',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/userPanel',
                path_list: [
                  '/userPanel',
                  'superAdmin/userPanel/getData',
                  'superAdmin/userPanel/getIncrementTrend',
                ],
              },
              {
                code: 'M006005',
                name: '下单情况',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/orderState',
                path_list: [
                  '/orderState',
                  'superAdmin/statSuper/ExportOrderUser',
                  'superAdmin/statSuper/userGraph',
                  'superAdmin/statSuper/userData',
                  'superAdmin/statSuper/getJsonData',
                  'superAdmin/statUser/orderList',
                  'superAdmin/statUser/orderHistory',
                  'superAdmin/statUser/orderExport',
                  '/superAdmin/statUser/reminder',
                ],
              },
              {
                code: 'M006006',
                name: '订货历史',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/orderHistory',
                path_list: [
                  '/orderHistory',
                  'superAdmin/orderStatistics/getData',
                  '/superAdmin/orderStatistics/doExport',
                ],
              },
              {
                code: 'M006008',
                name: '客户积分',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/user-credit',
                path_list: [
                  '/user-credit',
                  '/superAdmin/userSuper/delUserpoint',
                  '/superAdmin/userSuper/addUserpoint',
                  '/superAdmin/userSuper/userPointInfo',
                  '/superAdmin/userSuper/pointList',
                  '/superAdmin/userSuper/getConfig',
                ],
              },
            ],
          },
          {
            code: 'M006007',
            name: '协议价',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/agreementPrice/list',
            path_list: [
              '/agreementPrice/list',
              'superAdmin/protocolPrice/detail',
              'superAdmin/protocolPrice/user',
              'superAdmin/protocolPrice/statusList',
              'superAdmin/protocolPrice/expire',
              'superAdmin/protocolPrice/close',
              'superAdmin/protocolPrice/template',
              'superAdmin/protocolPrice/delete',
              'superAdmin/protocolPrice/export',
              '/agreementPrice/form',
              '/agreementPrice/detail',
              'superAdmin/protocolPrice/export/pp_id',
              'superAdmin/orderSuper/ajaxGetOrderCommodity',
              '/superAdmin/protocolPrice/update',
            ],
          },
        ],
      },
      {
        code: 'M007',
        name: '营销',
        icon: 'sicon-horn',
        is_show: 1,
        is_group_end: '0',
        path: '/coupon/list',
        path_list: ['/coupon/list'],
        children: [
          {
            id: 'M007-1',
            name: '营销活动',
            sub: [
              'M007006',
              'M007003',
              'M007004',
              'M007005',
              'M007008',
              'M007009',
            ],
            children: [
              {
                code: 'M007006',
                name: '优惠券',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/coupon/list',
                path_list: [
                  '/coupon/list',
                  '/coupon/detail',
                  '/superAdmin/baseCoupon/edit',
                  '/superAdmin/baseCoupon/close',
                  '/superAdmin/baseCoupon/list',
                  '/superAdmin/baseCoupon/grant',
                  '/superAdmin/baseCoupon/searchConfig',
                  '/superAdmin/baseCoupon/add',
                  '/superAdmin/baseCoupon/detail',
                  '/superAdmin/baseCoupon/receiveRecord',
                  '/superAdmin/baseCoupon/cancel',
                  '/superAdmin/baseCoupon/conditionGrant',
                ],
              },
              {
                code: 'M007003',
                name: '新品需求',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/commodityDemand',
                path_list: [
                  '/commodityDemand',
                  'superAdmin/commodityDemandSuper/ajaxList',
                  'superAdmin/commodityDemandSuper/saveReply',
                  'superAdmin/commodityDemandSuper/getCommodityDemand',
                  'superAdmin/commodityDemandSuper/delteCommodityDemand',
                ],
              },
              {
                code: 'M007004',
                name: '限时抢购',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/marketing/timerPurchase/index',
                path_list: [
                  '/marketing/timerPurchase/index',
                  'superAdmin/fullReductionGift/searchConfig',
                  'superAdmin/fullReductionGift/list',
                  'superAdmin/fullReductionGift/addFullReductionGift',
                  'superAdmin/fullReductionGift/updateFullReductionGift',
                  'superAdmin/fullReductionGift/closeFullReductionGift',
                  'superAdmin/fullReductionGift/getDetail',
                  'superAdmin/timePromotion/getCommodityMinPrice',
                  '/marketing/timerPurchase/add',
                  '/marketing/timerPurchase/edit',
                  '/marketing/timerPurchase/detail',
                  '/marketing/timerPurchase/index',
                  '',
                  'superAdmin/timePromotion/ajaxList',
                  '',
                  'superAdmin/timePromotion/getConfig',
                  'superAdmin/timePromotion/addPromotion',
                  'superAdmin/timePromotion/getDetail',
                  'superAdmin/timePromotion/updatePromotion',
                  'superAdmin/timePromotion/closePromotion',
                  '/superAdmin/timePromotion/GetModifyPromotionCommodity',
                  '/superAdmin/timePromotion/export',
                ],
              },
              {
                code: 'M007005',
                name: '满减满赠',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/marketing/fullDecrease/index',
                path_list: [
                  '/marketing/fullDecrease/index',
                  'superAdmin/fullReductionGift/searchConfig',
                  'superAdmin/fullReductionGift/list',
                  'superAdmin/fullReductionGift/addFullReductionGift',
                  'superAdmin/fullReductionGift/updateFullReductionGift',
                  'superAdmin/fullReductionGift/closeFullReductionGift',
                  'superAdmin/fullReductionGift/getDetail',
                  '/marketing/fullDecrease/add',
                  '/marketing/fullDecrease/edit',
                  '/marketing/fullDecrease/detail',
                  '/superAdmin/fullReductionGift/commodityActivity',
                  '/superAdmin/fullReductionGift/searchConfig',
                  '/superAdmin/fullReductionGift/list',
                  '/superAdmin/fullReductionGift/addFullReductionGift',
                  '/superAdmin/fullReductionGift/updateFullReductionGift',
                  '/superAdmin/fullReductionGift/closeFullReductionGift',
                  '/superAdmin/fullReductionGift/getDetail',
                ],
              },
              {
                code: 'M007008',
                name: '积分活动',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/credit/list',
                path_list: [
                  '/credit/list',
                  '/superAdmin/pointActivity/obtained',
                  '/superAdmin/pointActivity/close',
                  '/superAdmin/pointActivity/list',
                  '/superAdmin/pointActivity/searchConfig',
                  '/superAdmin/pointActivity/add',
                  '/superAdmin/pointActivity/edit',
                  '/superAdmin/pointActivity/detail',
                ],
              },
              {
                code: 'M007009',
                name: '报告营销',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/marketing/reportMarking',
                path_list: [
                  '/marketing/reportMarking',
                  '/superAdmin/annualBill/getList',
                  '/superAdmin/annualBill/switch',
                  '/superAdmin/annualBill/switchPurchaseAmount',
                  '/superAdmin/annualBill/switchPopup',
                ],
              },
            ],
          },
          {
            code: 'M007001',
            name: '业务员',
            icon: '',
            is_show: 1,
            is_group_end: '1',
            path: '/sales/list',
            path_list: [
              '/sales/list',
              '/qyweixinApi/Qwadmin/departmentList',
              '/qyweixinApi/Qwadmin/departmentUser',
              '/qyweixinApi/Qwadmin/boundUser',
              '/qyweixinApi/Qwadmin/unbundUser',
            ],
          },
          {
            code: 'M007002',
            name: '业绩',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/sales/commoditySellStatistics',
            path_list: ['/sales/commoditySellStatistics'],
          },
          {
            code: 'M007011',
            name: '反馈建议',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/marketing/ComplaintsSuggestions',
            path_list: [
              '/marketing/ComplaintsSuggestions',
              '/superAdmin/userSuper/getSuggestList',
              '/superAdmin/userSuper/suggestReply',
              '/superAdmin/userSuper/getSuggestDetail',
              '/superAdmin/userSuper/delSuggest',
            ],
          },
        ],
      },
      {
        code: 'M008',
        name: '商城',
        icon: 'sicon-mall',
        is_show: 1,
        is_group_end: '0',
        path: '/shop/home-v2/banner',
        path_list: ['/shop/home-v2/banner'],
        children: [
          {
            code: 'A008008',
            name: '店铺',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/shop/home-v3/base-info',
            path_list: ['/shop/home-v3/base-info'],
          },
          {
            code: 'A008002',
            name: '首页设置',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/shop/home-v3',
            path_list: [
              '/shop/home-v3',
              '/shop/home-v2/color',
              '/shop/home-v2/button-list',
              '/shop/home-v2/activity',
              '/shop/home-v2/subject',
              '/shop/home-v2/recommendGoods',
              'superAdmin/subject/GetSubjectTypeThreeById',
              'subject/GetSubjectTypeThreeById',
              '/superAdmin/wecaht/GetCode',
              'superAdmin/banner/banner',
              'superAdmin/subject/normalSubjectForm',
              'superAdmin/subject/delGroupSubject',
              'superAdmin/subject/form',
              'superAdmin/subject/save',
              '/superAdmin/mall/saveShopColor',
              '/superAdmin/mall/getShopColor',
              'superAdmin/subject/commodityForm',
              'superAdmin/subject/delSubject',
              '/superAdmin/appCenter/getSdpCloudToken',
            ],
          },
          {
            code: 'A008007',
            name: '商城风格',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/shop/home-v3/color',
            path_list: ['/shop/home-v3/color'],
          },
          {
            code: 'A008006',
            name: '商城公告',
            icon: '',
            is_show: 1,
            is_group_end: '1',
            path: '/shop/notice/list',
            path_list: [
              '/shop/notice/list',
              '/superAdmin/shopNotice/list',
              '/superAdmin/shopNotice/del',
              '/superAdmin/shopNotice/add',
              '/superAdmin/shopNotice/edit',
              '/superAdmin/shopNotice/info',
            ],
          },
          {
            code: 'A008003',
            name: '服务条款',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/shop/agreement',
            path_list: [
              '/shop/agreement',
              'superAdmin/wapSettings/saveConfig',
              'superAdmin/WapSettings/getAgreementContent',
            ],
          },
          {
            code: 'A008005',
            name: '关于我们',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/shop/about',
            path_list: [
              '/shop/about',
              'superAdmin/wapSettings/saveConfig',
              '/superAdmin/WapSettings/getAboutContent',
            ],
          },
          {
            code: 'A008004',
            name: '售后规则',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/shop/afterSale',
            path_list: [
              '/shop/afterSale',
              'superAdmin/subject/GetGroupSubject',
              'superAdmin/subject/normalSubject',
              'superAdmin/subject/getSubjectTypeThree',
              'superAdmin/wapSettings/agreement',
              'superAdmin/wapSettings/saveConfig',
              '/superAdmin/WapSettings/getAfterSaleContent',
            ],
          },
        ],
      },
      {
        code: 'M009',
        name: '财务',
        icon: 'sicon-finance',
        is_show: 1,
        is_group_end: '0',
        path: '/finance/user/audit-list',
        path_list: ['/finance/user/audit-list'],
        children: [
          {
            id: 'M009-1',
            name: '客户',
            sub: [
              'M009002',
              'M009004',
              'M009003',
              'M009009',
              'M009006',
              'M009007',
            ],
            children: [
              {
                code: 'M009002',
                name: '客户结算',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/finance/user/audit-list',
                path_list: [
                  '/finance/user/audit-list',
                  '/superAdmin/accountBill/searchConfig',
                  'superAdmin/accountBill/lockAccountBill',
                  'superAdmin/general/upload',
                  '/superAdmin/accountBill/confirmFreightBill',
                ],
              },
              {
                code: 'M009004',
                name: '结算单',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/finance/userSettlementList',
                path_list: [
                  '/finance/userSettlementList',
                  '/superAdmin/accountSettle/searchConfig',
                ],
              },
              {
                code: 'M009003',
                name: '客户余额',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/finance/userBalanceList',
                path_list: [
                  '/finance/userBalanceList',
                  '/superAdmin/accountBalance/listSearchConfig',
                  '/superAdmin/accountBalance/userInfo',
                  '/superAdmin/rechargeRule/create',
                  '/superAdmin/rechargeRule/list',
                ],
              },
              {
                code: 'M009009',
                name: '批量对账',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/finance/batchChecking',
                path_list: [
                  '/finance/batchChecking',
                  '/superAdmin/accountBatchBill/list',
                  '/superAdmin/accountBatchBill/updatePrice',
                ],
              },
              {
                code: 'M009006',
                name: '客户账款',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/finance/userSum/receiptSum',
                path_list: [
                  '/finance/userSum/receiptSum',
                  '/finance/userSum/settleFlowing',
                  'superAdmin/accountCredit/searchConfig',
                  'superAdmin/accountCredit/receivableSummary',
                  'superAdmin/accountCredit/receivableSummaryExport',
                ],
              },
              {
                code: 'M009007',
                name: '余额账款',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/finance/userBalanceFlowing',
                path_list: [
                  '/finance/userBalanceFlowing',
                  '/superAdmin/accountBalance/BillList',
                  '/superAdmin/accountBalance/billRecordSearchConfig',
                  '/superAdmin/accountBalance/exportBillList',
                  '',
                ],
              },
            ],
          },
          {
            id: 'M009-2',
            name: '采购',
            sub: ['M009001', 'M009005', 'M009008'],
            children: [
              {
                code: 'M009001',
                name: '采购结算',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/finance/purchaseAuditList',
                path_list: [
                  '/finance/purchaseAuditList',
                  'superAdmin/purchaseBill/lockPurchaseBill',
                  'interApi/purchaseBillInter/billDetailList',
                ],
              },
              {
                code: 'M009005',
                name: '结算单',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/finance/purchaseSettlementList',
                path_list: ['/finance/purchaseSettlementList'],
              },
              {
                code: 'M009008',
                name: '采购账款',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/finance/purchaseSum/paySum',
                path_list: [
                  '/finance/purchaseSum/paySum',
                  '/finance/purchaseSum/settleFlowing',
                ],
              },
            ],
          },
          {
            code: 'M009010',
            name: '发票开具',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/finance/invoice/order',
            path_list: [
              '/finance/invoice/order',
              '/finance/invoice/notMakeOutInvoice',
              '/finance/invoice/invoiceHasBeenIssued',
              'superAdmin/company/getInvoice',
              '/superAdmin/userSuper/getInvoice',
              '/superAdmin/company/invoiceUpdate',
              '/superAdmin/userSuper/invoiceUpdate',
              '/superAdmin/invoice/orderList',
              '/superAdmin/invoice/noInvoiceList',
              '/superAdmin/invoice/InvoiceList',
              '/superAdmin/invoice/create',
              '/superAdmin/invoice/orderInfo',
              '/superAdmin/invoice/getOrderRelation',
              '/superAdmin/invoice/getTaxClassCode',
              '/superAdmin/invoice/updateTaxClassCode',
              '/superAdmin/invoice/createInvoice',
              '/superAdmin/invoice/make',
              '/superAdmin/invoice/createInvoice',
              '/superAdmin/invoice/cancelInvoiceOrder',
              '/superAdmin/invoice/update',
              '/superAdmin/invoice/getInvoiceEncrypt',
            ],
          },
        ],
      },
      {
        code: 'M010',
        name: '报表',
        icon: 'sicon-form',
        is_show: 1,
        is_group_end: '0',
        path: '/reports/sales/trade',
        path_list: ['/reports/sales/trade'],
        children: [
          {
            id: 'M0010-1',
            name: '销售',
            sub: ['M010002', 'M010003', 'M010004', 'M010005', 'M010006'],
            children: [
              {
                code: 'M010002',
                name: '营业数据',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/reports/sales/trade',
                path_list: [
                  '/reports/sales/trade',
                  'superAdmin/statSuper/test',
                  'superAdmin/statSuper/graph',
                  'superAdmin/statSuper/data',
                  'superAdmin/statSuper/data',
                  'superAdmin/statSuper/getDataArr',
                  'superAdmin/statSuper/indexData',
                  'superAdmin/statSuper/getTotalIndexData',
                  'superAdmin/statSuper/categoryPercent',
                  '/superAdmin/report/businessList',
                  '/superAdmin/report/businessDetail',
                ],
              },
              {
                code: 'M010003',
                name: '商品销量',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/reports/goodsSale',
                path_list: ['/reports/goodsSale'],
              },
              {
                code: 'M010004',
                name: '订单统计',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/reports/orderStatistics',
                path_list: ['/reports/orderStatistics'],
              },
              {
                code: 'M010005',
                name: '客户统计',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/reports/user-statistics',
                path_list: ['/reports/user-statistics'],
              },
              {
                code: 'M010006',
                name: '业务员',
                icon: '',
                is_show: 1,
                is_group_end: '1',
                path: '/reports/sales-statistics',
                path_list: ['/reports/sales-statistics'],
              },
            ],
          },
          {
            id: 'M0010-3',
            name: '毛利',
            sub: ['A010007', 'M010026', 'M010010', 'M010009'],
            children: [
              {
                code: 'A010007',
                name: '销售毛利',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/reports/profitStatistics',
                path_list: [
                  '/reports/profitStatistics',
                  '/reports/profitDetail',
                ],
              },
              {
                code: 'M010010',
                name: '客户毛利',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/userProfit',
                path_list: [
                  '/userProfit',
                  'superAdmin/statSuper/exportProfitStatList',
                  '/superAdmin/statSuper/ProfitStatList',
                  '/superAdmin/report/businessList',
                  '/superAdmin/receStyle/list',
                  'superAdmin/statSuper/exportProfitStatList',
                ],
              },
              {
                code: 'M010009',
                name: '财务毛利',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/reports/financeProfitStatistics',
                path_list: [
                  '/reports/financeProfitStatistics',
                  'superAdmin/report/profitList',
                  'superAdmin/report/profitStatData',
                  '/superAdmin/report/exportProfitList',
                  '/superAdmin/report/commodityProfitList',
                  '/superAdmin/report/exportCommodityProfitList',
                ],
              },
              {
                code: 'M010026',
                name: '采购毛利',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/reports/maoriStatistics',
                path_list: [
                  '/reports/maoriStatistics',
                  '/superAdmin/purchaseProfit/list',
                  '/superAdmin/purchaseProfit/detail',
                  '/superAdmin/purchaseProfit/exportList',
                ],
              },
            ],
          },
          {
            id: 'M0010-2',
            name: '采购',
            sub: ['M010001', 'M010014'],
            children: [
              {
                code: 'M010001',
                name: '采购汇总',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/purchase/collect',
                path_list: ['/purchase/collect'],
              },
              {
                code: 'M010014',
                name: '价格波动',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/reports/priceFluctuation',
                path_list: [
                  '/reports/priceFluctuation',
                  '/superAdmin/priceReport/commodityPriceDetail',
                  '/superAdmin/priceReport/searchConfig',
                  '/superAdmin/priceReport/purchasePriceList',
                  '/superAdmin/priceReport/salePriceList',
                ],
              },
            ],
          },
          {
            code: 'M0100018',
            name: '财务流水',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/superAdmin/ReportSuper/index',
            path_list: [
              'superAdmin/ReportSuper/index',
              '/superAdmin/reportSuper/exportList',
            ],
          },
          {
            id: 'M0010-4',
            name: '损耗报表',
            sub: ['M010021', 'M010022', 'M010018', 'M010025'],
            children: [
              {
                code: 'M010021',
                name: '损耗概况',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/reports/wasteProfile',
                path_list: ['/reports/wasteProfile'],
              },
              {
                code: 'M010022',
                name: '采购损耗',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/reports/purchaseWaste',
                path_list: [
                  '/reports/purchaseWaste',
                  '/superAdmin/report/PurchaseCommodityLoss',
                  '/superAdmin/report/PurchaseComDetail',
                  '/superAdmin/report/PurchaseProviderLoss',
                  '/superAdmin/report/PurchaseProviderDetail',
                ],
              },
              {
                code: 'M010018',
                name: '库房损耗',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/reports/depositoryWaste',
                path_list: [
                  '/reports/depositoryWaste',
                  '/superAdmin/InventoryReport/exportData',
                  '/superAdmin/report/StoreLoss',
                  '/superAdmin/report/exportStoreLoss',
                  '/superAdmin/report/storeLossDetail',
                  '/superAdmin/InventoryReport/data',
                ],
              },
              {
                code: 'M010025',
                name: '退货损耗',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/reports/returnWaste',
                path_list: [
                  '/reports/returnWaste',
                  '/superAdmin/report/storeLossSummary',
                  '/superAdmin/report/ReturnLoss',
                  '/superAdmin/report/ReturnLossDetail',
                ],
              },
            ],
          },
        ],
      },
      {
        code: 'M012',
        name: '配置',
        icon: 'sicon-settings',
        is_show: 2,
        is_group_end: '0',
        path: '/sysConfig',
        path_list: [
          '/sysConfig',
          '/superAdmin/Company/AddFeedBack',
          '/superAdmin/adminSuper/showPassUser',
          '/superAdmin/adminSuper/modifyUserPass',
        ],
        children: [
          {
            code: 'M012001',
            name: '企业信息',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/company',
            path_list: [
              '/company',
              'superAdmin/company/update',
              'superAdmin/company/SetCompany',
              '/superAdmin/company/invoiceUpdate',
              '/superAdmin/company/getInvoice',
            ],
          },
          {
            code: 'M012002',
            name: '系统参数',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/sysConfig',
            path_list: [
              '/sysConfig',
              'superAdmin/sysconfig/list',
              'superAdmin/sysconfig/edit',
              'superAdmin/sysconfig/isMallApp',
              'superAdmin/sms/GetSmsConfig',
              'superAdmin/sms/SaveSmsConfig',
              '/superAdmin/sms/SendTestSms',
              '/superAdmin/sms/GetRechargeRecords',
              '/superAdmin/sms/GetSendRecords',
              '/superAdmin/sms/GetWxPayStatus',
              '/superAdmin/sms/getAmountInfo',
              '/superAdmin/sms/SetSmsStatus',
              '/superAdmin/sms/RechargeMoney',
              '/superAdmin/sysconfig/sendSmsInfoList',
              '/superAdmin/sysconfig/registerSave',
              '/superAdmin/sysconfig/registerConfig',
            ],
          },
          {
            id: 'M0012-4',
            name: '员工管理',
            sub: ['M012006001', 'M012006002', 'M012003'],
            children: [
              {
                code: 'M012003',
                name: '操作日志',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/log',
                path_list: [
                  '/log',
                  '/oldLog',
                  '/Log',
                  'superAdmin/log/data',
                  'superAdmin/log/LogList',
                  'superAdmin/log/getList',
                  '/superAdmin/log/getDetail',
                ],
              },
              {
                code: 'M012006001',
                name: '操作员',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/operator',
                path_list: [
                  '/operator',
                  'superAdmin/userManage/add',
                  'superAdmin/userManage/delete',
                  'superAdmin/adminSuper/view',
                  'superAdmin/adminSuper/DelAdmin',
                  'superAdmin/adminSuper/del',
                ],
              },
              {
                code: 'M012006002',
                name: '角色管理',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/role',
                path_list: [
                  '/role',
                  'superAdmin/userGroupManage/view',
                  'superAdmin/userGroupManage/add',
                  'superAdmin/adminSuper/Admin',
                  'superAdmin/adminSuper/GetAdminList',
                  'superAdmin/adminSuper/GetPowerList',
                  'superAdmin/adminSuper/SaveAdmin',
                  'superAdmin/adminSuper/Storage',
                  'superAdmin/adminSuper/getUserGroupList',
                  '/superAdmin/adminSuper/view',
                  'superAdmin/adminSuper/SetStorage',
                  'superAdmin/adminSuper/add',
                  'superAdmin/adminSuper/view',
                ],
              },
            ],
          },
          {
            id: 'M0012-1',
            name: '商城运营',
            sub: ['M012007', 'M012006003'],
            children: [
              {
                code: 'M012007',
                name: '送货时间',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/deliveryTime',
                path_list: [
                  '/deliveryTime',
                  'superAdmin/deliveryTime/data',
                  'superAdmin/deliveryTime/add1',
                  'superAdmin/deliveryTime/form',
                  'superAdmin/deliveryTime/delete',
                  'superAdmin/deliveryTime/add2',
                  '/superAdmin/OperatingTime/getOperatingTime',
                ],
              },
              {
                code: 'M012006003',
                name: '运营时段',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/openingHoursConfig',
                path_list: [
                  '/openingHoursConfig',
                  'superAdmin/OperatingTime/getOperatingTimeList',
                  'superAdmin/OperatingTime/addOperatingTime',
                  'superAdmin/OperatingTime/updateOperatingTime',
                  'superAdmin/OperatingTime/deleteOperatingTime',
                  'superAdmin/deliveryTime/addDeliveryTime',
                  'superAdmin/deliveryTime/index',
                ],
              },
            ],
          },
          {
            id: 'M0012-2',
            name: '第三方',
            sub: ['M012009', 'M012013'],
            children: [
              {
                code: 'M012009',
                name: '微信配置',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/weixin/wechat',
                path_list: [
                  '/weixin/wechat',
                  'superAdmin/weixin/updata1',
                  'superAdmin/Weixin/revery',
                  'superAdmin/Weixin/wxbottom',
                  'superAdmin/Weixin/menu',
                  'superAdmin/weixin/saveRevery',
                  'superAdmin/weixin/saveWeixinSecret',
                  'superAdmin/weixin/createButton',
                  'superAdmin/weixin/saveButton',
                  'superAdmin/weixin/buttonList',
                  'superAdmin/weixin/checkMenuStatus',
                  'superAdmin/wecaht/GetCode',
                  'superAdmin/wecaht/GetWeiXinMenu',
                  'superAdmin/wecaht/GetWxConfig',
                  'superAdmin/wecaht/SaveWeixinSecret',
                  'superAdmin/wecaht/unauthorized',
                  'superAdmin/wecaht/CreateButton',
                  'superAdmin/wecaht/Save',
                  'superAdmin/wecaht/SaveButton',
                ],
              },
            ],
          },
          {
            id: 'M0012-3',
            name: '打印',
            sub: ['M012011', 'M012004'],
            children: [
              {
                code: 'M012011',
                name: '打印模板',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/printTemplate',
                path_list: [
                  '/printTemplate',
                  'superAdmin/printerConfig/data',
                  'superAdmin/printerConfig/getOne',
                  'superAdmin/printerConfig/del',
                  'superAdmin/printerConfig/getOne',
                  'superAdmin/printerConfig/saveData',
                  'superAdmin/printerConfig/saveData',
                  'superAdmin/printerConfig/ExportToFile',
                  '/superAdmin/printerConfig/ImportFromFile',
                  '/superAdmin/printerConfig/UploadImage',
                ],
              },
              {
                code: 'M012004',
                name: '打印配置',
                icon: '',
                is_show: 1,
                is_group_end: '0',
                path: '/printConfig',
                path_list: [
                  '/printConfig',
                  'superAdmin/printerConfig/getTplSel',
                  'superAdmin/printerConfig/saveTplSel',
                  'superAdmin/printerConfig/getTpl',
                  'superAdmin/printerConfig/GetPrinter',
                ],
              },
            ],
          },
          {
            code: 'M012006005',
            name: '分拣框',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/sortBoxConfig',
            path_list: [
              '/sortBoxConfig',
              '/superAdmin/sortBasket/Config',
              '/superAdmin/sortBasket/List',
              '/superAdmin/sortBasket/Add',
              '/superAdmin/sortBasket/Delete',
              '/superAdmin/sortBasket/PreEdit',
              '/superAdmin/sortBasket/Edit',
            ],
          },
        ],
      },
      {
        code: 'M011',
        name: '回收站',
        icon: 'sicon-recycle',
        is_show: 2,
        is_group_end: '0',
        path: '/recycle/commodityRecycle',
        path_list: [
          '/recycle/commodityRecycle',
          'superAdmin/commodityRecycle/index?mid=0',
        ],
        children: [
          {
            code: 'M011001',
            name: '商品',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/recycle/commodityRecycle',
            path_list: ['/recycle/commodityRecycle'],
          },
          {
            code: 'M011002',
            name: '客户',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/recycle/userRecycle',
            path_list: ['/recycle/userRecycle'],
          },
          {
            code: 'M011003',
            name: '区域',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/recycle/areaRecycle',
            path_list: [
              '/recycle/areaRecycle',
              '/superAdmin/adminSuper/modifyUserPass',
            ],
          },
          {
            code: 'M011004',
            name: '线路',
            icon: '',
            is_show: 1,
            is_group_end: '0',
            path: '/recycle/shopRecycle',
            path_list: ['/recycle/shopRecycle'],
          },
        ],
      },
      {
        code: 'A012',
        name: '应用',
        icon: 'sicon-application',
        is_show: 1,
        is_group_end: '0',
        path: '/appCenter/index',
        path_list: [
          '/appCenter/index',
          'superAdmin/appCenter/getSdpCloudToken',
          'superAdmin/appCenter/updateBaseInfoFromCenter',
          '/superAdmin/SyncSuper/SyncLogList',
          'superAdmin/appCenter/batchAddCategory',
          'superAdmin/report/businessList',
          'superAdmin/report/businessDetail',
          '/appCenter/commodityList',
          'superAdmin/sysconfig/list',
          '/superAdmin/SyncAccountSuper/SyncAccountAdd',
          '/superAdmin/behalfSuper/deleteOrder',
          '/superAdmin/behalfSuper/deleteOrder',
          '/superAdmin/SyncSuper/DefaultAccount',
          '/superAdmin/orderTag/openOrderTag',
          '/superAdmin/SyncAccountSuper/VersionList',
          '/superAdmin/SyncAccountSuper/SyncAccountAdd',
          '/superAdmin/SyncLogList/SyncLogList',
          '/superAdmin/syncSuper/syncUser',
          '/superAdmin/syncSuper/syncCommodity',
          '/superAdmin/syncSuper/syncSaleOrder',
          '/superAdmin/syncSuper/syncDeliveryOrder',
          '/superAdmin/SyncSuper/DefaultAccount',
          '/superAdmin/syncSuper/getUnSyncId',
          '/superAdmin/SyncSuper/ExportCsvBase',
          '/superAdmin/behalfSuper/deleteOrder',
          '/superAdmin/issueReport/getList',
          '/superAdmin/issueReport/offlineExportListDetails',
          '/superAdmin/issueReport/getDetails',
          '/superAdmin/barcode/list',
          '/superAdmin/barcode/del',
          '/superAdmin/barcode/open',
          '/superAdmin/barcode/print',
          '/superAdmin/barcode/save',
          '/superAdmin/barcode/edit',
          '/superAdmin/commoditySuper/ajaxGetCommodity',
          '/superAdmin/barcode/export',
          '/superAdmin/barcode/import',
          '/qyweixinApi/Qwadmin/GetQywxConfig',
          '/qyweixinApi/Qwadmin/updateQywxConfig',
          '/superAdmin/commodityPackage/list',
          'superAdmin/commodityPackage/editSysConfig',
          '/superAdmin/Alias/ImportData',
          '/superAdmin/Alias/ExportData',
          '/superAdmin/Alias/ExportTemplate',
          'superAdmin/general/projectCode',
        ],
        children: [],
      },
    ],
  },
  mutations: {},
  actions: {},
  modules: {},
});
